GET
https://api.breeze.blue/v1/voices/{voice_id}Get a voice
Get voice metadata by voice_id.
Authentication
API key: Send your Breeze Developer API key with the xi-api-key header.
Headers
| Field | Type | Description |
|---|---|---|
xi-api-keyrequired | string | Your Breeze Developer API key. See authentication. |
Path parameters
| Field | Type | Description |
|---|---|---|
voice_idrequired | string | Voice identifier returned by GET /v1/voices. |
Example request
python
import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
voice = client.voices.get("voc_xeh3w54cqvnp")
print(voice["voice_id"], voice["name"])
typescript
import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const voice = await client.voices.get("voc_xeh3w54cqvnp");
console.log(voice.voiceId, voice.name);
curl
curl "https://api.breeze.blue/v1/voices/voc_xeh3w54cqvnp" \
-H "xi-api-key: $BREEZE_API_KEY"
import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
voice = client.voices.get("voc_xeh3w54cqvnp")
print(voice["voice_id"], voice["name"])Response
Voice metadata.
Content types: application/json
Response headers:
x-breeze-api-key-id: Public API key identifier used to authenticate the request, when an API key was used.
{
"voice_id": "voc_xeh3w54cqvnp",
"name": "Example",
"category": "string",
"voice_type": "string",
"labels": {
"example": "string"
},
"preview_url": "https://example.com/audio.mp3",
"settings": {
"guidance_scale": 1
},
"description": "Example description.",
"created_at_unix": 1
}Errors
RESOURCE_NOT_FOUND— The voice_id does not exist or is not accessible.
See the full list on errors.